package com.muyu.car.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 车辆报文记录对象 sys_car_message
 *
 * @author muyu
 * @date 2024-09-18
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_car_message")
public class SysCarMessage {
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 车辆型号编码 */
    @Excel(name = "车辆型号编码")
    private String modelCode;

    /** 车辆报文类型编码 */
    @Excel(name = "i")
    private String messageTypeCode;

    /** 开始位下标 */
    @Excel(name = "开始位下标")
    private String messageStartIndex;

    /** 结束位下标 */
    @Excel(name = "结束位下标")
    private String messageEndIndex;

    /** 报文分类 */
    @Excel(name = "报文分类")
    private String messageType;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("messageTypeCode", getMessageTypeCode())
            .append("messageStartIndex", getMessageStartIndex())
            .append("messageEndIndex", getMessageEndIndex())
            .append("messageType", getMessageType())
            .toString();
    }
}
